Subject: Re: [Kernel-janitors] Re: [patch 1/8] irda/act200l-sir: replace schedule_timeout() with msleep()

From: Nishanth Aravamudan <[email-masked]>
Date: Wed, 1 Sep 2004 22:03:26 +0000

On Wed, Sep 01, 2004 at 02:48:15PM -0700, Jean Tourrilhes wrote:
> On Wed, Sep 01, 2004 at 11:40:03PM +0200, maximilian attems wrote:
> > On Wed, 01 Sep 2004, Jean Tourrilhes wrote:
> > 
> > > On Wed, Sep 01, 2004 at 11:05:23PM +0200, [email-masked] wrote:
> > > > I would appreciate any comments from the janitor@sternweltens list. 
> > uups mangled some text there sorry for this silly email.
> > > 
> > > 	I already commented that I don't like the confusing msleep()
> > > API and I prefer the more explicit schedule_timeout().
> > > 	But that's only me...
> > > 
> > > 	Jean
> > 
> > hmm we have still archs were HZ < 100.
> > i find msleep use msecs units a lot more readable than
> > 	schedule_timeout((HZ + 99) / 100);
> > 
> > the schedule_timeout(HZ/100) gets safely converted with msleep.
> 
> 	I don't have complain about converting the (HZ + 99) / 100
> expressions to something saner. My beef is the fact that msleep hide
> the fact that a schedule might happen. This is important in the IrDA
> code.

It *is* important for developers to realize that invoking msleep() may
involve giving up the CPU (ie. eventually calling schedule()); however,
I think my previous point, that the name itself (the "sleep" part, I mean)
is a fair and clear indication of this behavior, is valid. In those
cases where a busy-wait is desired, then mdelay() should be used, as
indicated by "delay". I think with this in mind & with a quick glance at
the source, if need be, the naming is quite safe.

-Nish
_______________________________________________
Kernel-janitors mailing list
[email-masked]
http://lists.osdl.org/mailman/listinfo/kernel-janitors